Subject: bug#4359: 23.1.50; ^G in M-x grep mode with git grep

From: Ulrich Neumerkel <[email-masked]>
Date: Sun, 06 Sep 2009 18:09:46 +0200

--text follows this line--

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I am in the source directory of emacs, according to git describe
merge-multi-tty-to-trunk-16449-gd32e271

I want to git grep for something.   I do M-x grep
and add git in front of the grep command:

---------- Buffer: *grep* ----------
-*- mode: grep; default-directory: "/opt/gupu/src/emacs/" -*-
Grep started at Sun Sep  6 17:58:37

git grep -n -e git.describe
WARNING: terminal is not fully functional
^Glisp/org/org.el:112:      (if (eql 0 (shell-command "git describe --abbrev=4 HEAD"))

Grep finished (matches found) at Sun Sep  6 17:58:38
This is the -!-contents of foo.
---------- Buffer: *grep* ----------

Now, I cannot do C-c C-c on the line above.

(I changed the actual ^G to ^ G)

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/opt/gupu/emacs-git/share/emacs/23.1.50/etc/DEBUG for instructions.

In GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, X toolkit)
 of 2009-09-06 on gupu2
Windowing system distributor `The X.Org Foundation', version 11.0.10603000
configured using `configure  '--without-toolkit-scroll-bars' '--prefix' '/opt/gupu/emacs-git''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Grep

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> C-x 
b C-g C-h i M-x e m a <tab> v e r <tab> <return> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> M-x m e n u <tab> b <tab> m 
<tab> <return> M-x t o o <tab> - <tab> <return> C-h 
n C-s f u l l s c r e e n C-s C-s C-a C-s C-s C-s C-a 
C-s C-s C-a <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <escape> <escape> < <escape> > C-s <escape> 
< C-x C-f C-g C-x C-f C-g C-x C-f / o p t / g u <tab> 
s r c / g i t - <backspace> <backspace> <backspace> 
<backspace> e m a c s <tab> - <tab> <backspace> <backspace> 
<backspace> <backspace> <backspace> <return> M-! g 
i t - g r e p SPC <return> M-! <up> <M-right> <right> 
<backspace> SPC C-e g i t SPC d <backspace> <backspace> 
. d e s c r i b e <return> M-x g r e p <return> C-a 
g o t <backspace> <backspace> i t SPC <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <left> <left> <backspace> C-e g i t . d e s 
c r o b <backspace> <backspace> i b e <return> C-x 
p C-x o <down> <down> <down> <down> <down> M-x s e 
n d <tab> C-g M-x m e n <tab> b <tab> m <tab> <return> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<menu-bar> <help-menu> <send-emacs-bug-report>

Recent messages:
Tool-Bar mode disabled
View mode: type C-h for help, h for commands, q to quit.
Mark saved where search started [3 times]
Mark set [2 times]
Quit [2 times]
/bin/bash: git-grep: command not found
lisp/org/org.el:	  (if (eql 0 (shell-command "git describe --abbrev=4 HEAD"))
Grep finished (matches found)
Quit
Menu-Bar mode enabled

Load-path shadows:
None found.